import request from "@/api/request.js";

// 规则限制-首页统计接口
export function getRuleRestrictionStatistics() {
    return request({
        method: 'GET',
        url: `/api/ruleLimitInfo/statCount`
    })
}

// 规则限制-查询最新动态接口
export function getRuleRestrictionLatest(params) {
    return request({
        method: 'GET',
        url: `/api/ruleLimitInfo/getLatestUpdates`,
        params
    })
}

// 规则限制-获取风险信号接口
/**
 * @param {moduleId} 模块ID
 * @header token
 */
export function getRuleRestrictionRiskSignal(params) {
    return request({
        method: 'GET',
        url: `/api/commonFeature/riskSignal/${params.moduleId}`
    })
}

// 规则限制-获取新闻资讯接口
/**
 * @param {moduleId} 模块ID
 * @header token
 */
export function getRuleRestrictionNews(params) {
    return request({
        method: 'GET',
        url: `/api/commonFeature/news/${params.moduleId}`
    })
}

// 规则限制-获取社交媒体接口
/**
 * @param {moduleId} 模块ID
 * @header token
 */
export function getRuleRestrictionSocialMedia(params) {
    return request({
        method: 'GET',
        url: `/api/commonFeature/remarks/${params.moduleId}`
    })
}